{"namespace": "com.kafka.workshop.avro",
  "type": "record",
  "name": "WorkshopValue",
  "doc" : "a WorkshopValue AVSC file",
  "fields": [
  	{"name": "valueField1", "type": "string", "default" : "default value"},
  	{"name": "valueField2", "type": "int", "default" : 12},
  	{"name": "valueField3", "type": ["null", "string"], "default" : null},
    {"name": "nestedWorkshop",
        "type": {
            "type": "record",
            "name": "WorkshopN",
            "fields": [
                { "name": "nestedField", "type": ["null", "string"], "default": null}
            ]
        }
     },
     {"name": "listWorkshop",
         "type": {
             "type": "array",
             "items": {
                 "type": "record",
                 "name": "WorkshopL",
                 "fields": [
                     {"name": "listWorkshopField", "type": ["null", "string"], "default": null }
                 ]
             }
         }
     },
     {"name": "mapWorkshop",
         "type": {
             "type": "map",
             "values": {
                 "type": "record",
                 "name": "WorkshopM",
                 "fields": [
                    {"name": "mapWorkshopField", "type": ["null", "string"], "default": null }
                 ]
             }
         }
     }
  ]
}